List sequence steps
curl --request GET \
--url https://app.leonar.app/api/v1/sequences/{id}/steps \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.leonar.app/api/v1/sequences/{id}/steps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.leonar.app/api/v1/sequences/{id}/steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_order": 123,
"type": "<string>",
"delay_days": 123,
"delay_hours": 123,
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"content_template": {},
"sender_config": {},
"parent_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_condition": {},
"entry_conditions": {},
"ab_variant_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}Sequences
List sequence steps
Returns full editable sequence steps, including content templates, sender config, branching, and delays.
GET
/
sequences
/
{id}
/
steps
List sequence steps
⌘I